> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置“Keyword Suggestions For URL”任务

> 此端点根据给定网页 URL 的内容提供关键词建议。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/keywords_data/bing/keyword_suggestions_for_url/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/bing/keyword_suggestions_for_url/task_post:
    post:
      summary: 设置“Keyword Suggestions For URL”任务
      description: 此端点根据给定网页 URL 的内容提供关键词建议。它会分析页面并返回相关关键词列表，以及表示该关键词与用户搜索查询匹配概率的置信度分数。
      operationId: post_dataforseo_keywords_data_bing_keyword_suggestions_for_url_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                target:
                  type: string
                  description: 要扫描潜在关键词的目标网页 URL，必填字段，最大长度：2000 个字符
                language_code:
                  type: string
                  description: >-
                    搜索引擎语言代码；如果未指定 language_name，则为必填字段。如果使用此字段，则无需指定
                    language_name。您可以通过向
                    https://api.dataforseo.com/v3/keywords_data/bing/keyword_suggestions_for_url/languages
                    单独发送请求，获取包含 language_code 的可用语言列表。示例：en
                exclude_brands:
                  type: boolean
                  description: 确定结果是否排除品牌关键词，可选字段
              required:
                - target
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 一般信息性消息
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；取值范围为：10000-60000，完整的响应码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组；在此情况下，该值将为 null
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````